# Class SyncedLearnerTracker.QuorumVerifierAcksetPair

java.lang.Object
org.apache.zookeeper.server.quorum.SyncedLearnerTracker.QuorumVerifierAcksetPair

Enclosing class:
  `SyncedLearnerTracker`

public static class SyncedLearnerTracker.QuorumVerifierAcksetPair extends Object

## Constructor Summary

Constructors
Constructor
Description
`QuorumVerifierAcksetPair(QuorumVerifier qv, HashSet<Long> ackset)`

## Method Summary

Modifier and Type
Method
Description
`HashSet<Long>`
`getAckset()`
`QuorumVerifier`
`getQuorumVerifier()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuorumVerifierAcksetPair

public QuorumVerifierAcksetPair(QuorumVerifier qv, HashSet<Long> ackset)

## Method Details

### getQuorumVerifier

public QuorumVerifier getQuorumVerifier()

### getAckset

public HashSet<Long> getAckset()